%define upstream_name    LWP-Protocol-PSGI
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Override LWP's HTTP/HTTPS backend with your own PSGI applciation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Guard)
BuildRequires: perl(HTTP::Message::PSGI)
BuildRequires: perl(LWP)
BuildRequires: perl(LWP::Protocol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent)
BuildArch: noarch

%description
LWP::Protocol::PSGI is a module to hijack *any* code that uses the
LWP::UserAgent manpage underneath such that any HTTP or HTTPS requests can
be routed to your own PSGI application.

Because it works with any code that uses LWP, you can override various
WWW::*, Net::* or WebService::* modules such as the WWW::Mechanize manpage,
without modifying the calling code or its internals.

  use WWW::Mechanize;
  use LWP::Protocol::PSGI;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Oct 07 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 152748
- imported package perl-LWP-Protocol-PSGI


* Fri Oct 07 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
